Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IIOP_SSL_Connection_Handler Class Reference

IIOP connection handler designed to be "SSL aware," i.e. it is aware of the existence of the SSLIOP connection handler. It makes sure that SSL session state from a previous connection is not associated with the non-SSL connection handled by this handler. More...

`#include <IIOP_SSL_Connection_Handler.h>`

Inheritance diagram for TAO_IIOP_SSL_Connection_Handler

[legend]
Collaboration diagram for TAO_IIOP_SSL_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_IIOP_SSL_Connection_Handler (ACE_Thread_Manager* t = 0)
| Constructor. parameter is used by the Acceptor to pass the protocol configuration properties for this connection.
| TAO_IIOP_SSL_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| ~TAO_IIOP_SSL_Connection_Handler (void)
| Destructor.

## Detailed Description

IIOP connection handler designed to be "SSL aware," i.e. it is aware of the existence of the SSLIOP connection handler. It makes sure that SSL session state from a previous connection is not associated with the non-SSL connection handled by this handler.

This class is just a place holder to create the TAO_IIOP_SSL_Transport which does the work of clearing the TSS SSL state

## Constructor & Destructor Documentation

TAO_IIOP_SSL_Connection_Handler::TAO_IIOP_SSL_Connection_Handler ( | ACE_Thread_Manager * t = 0 )`[inline]`

| Constructor. parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_IIOP_SSL_Connection_Handler::TAO_IIOP_SSL_Connection_Handler ( | TAO_ORB_Core * orb_core,
| CORBA::Boolean flag,
| void * arg )

TAO_IIOP_SSL_Connection_Handler::~TAO_IIOP_SSL_Connection_Handler ( | void )

| Destructor.

The documentation for this class was generated from the following files:

- IIOP_SSL_Connection_Handler.h
- IIOP_SSL_Connection_Handler.cpp